Update one document style

patch

/fscmRestApi/resources/11.13.18.05/purchasingDocumentStyles/{purchasingDocumentStylesUniqID}

Request

Path Parameters
  • This is the hash key of the attributes which make up the composite key for the Purchasing Document Styles resource and used to uniquely identify an instance of Purchasing Document Styles. The client should not generate the hash key value. Instead, the client should query on the Purchasing Document Styles collection resource in order to navigate to a specific instance of Purchasing Document Styles to get the hash key.
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
  • Maximum Length: 1
    Contains one of the following values: true or false. If true, the amount purchase basis is enabled for this document style. If false, it isn't enabled.
  • Maximum Length: 240
    Display name of the blanket purchase agreement.
  • Maximum Length: 1
    Contains one of the following values: true or false. If true, the blanket purchase agreement is enabled for this document style. If false, it isn't enabled.
  • Title: Configuration Ordering Enabled
    Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, configuration ordering is enabled for this document style. If false, it isn't enabled.
  • Title: Consignment Terms Enabled
    Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, consignment terms are enabled for this document style. If false, they aren't enabled.
  • Maximum Length: 240
    Display name of the contract purchase agreement.
  • Maximum Length: 1
    Contains one of the following values: true or false. If true, the contract purchase agreement is enabled for this document style. If false, it isn't enabled.
  • Title: Credit Line Types Enabled
    Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, the credit line types are enabled for this document style. If false, they aren't enabled.
  • Title: Line Types
    Maximum Length: 80
    Indicates whether the line type covers all or needs to be specified. Valid values: All, Specified.
  • Maximum Length: 30
    Abbreviation that identifies the allowed line types.
  • Line Types
    Title: Line Types
    Details of line types
  • Title: Outside Processing Enabled
    Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, outside processing is enabled for this document style. If false, it isn't enabled.
  • Title: Price Breaks Allowed
    Maximum Length: 1
    Contains one of the following values: true or false. If true, price breaks are enabled for this document style. If false, they aren't enabled.
  • Title: Progress Payments Enabled
    Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, progress payments are enabled for this document style. If false, they aren't enabled.
  • Maximum Length: 1
    Contains one of the following values: true or false. If true, the quantity purchase basis is enabled for this document style. If false, it isn't enabled.
  • Title: Retainage Enabled
    Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, retainage is enabled for this document style. If false, it isn't enabled.
  • Maximum Length: 240
    Display name of the purchase order.
  • Title: Status
    Maximum Length: 80
    Status of the purchasing document style.
  • Maximum Length: 30
    Abbreviation that identifies the purchasing document style status.
  • Title: Description
    Maximum Length: 240
    Description of the purchasing document style.
  • Title: Style
    Maximum Length: 240
    Name that uniquely identifies the purchasing document style.
  • Title: Work Confirmation Enabled
    Maximum Length: 1
    Default Value: false
    Contains one of the following values: true or false. If true, work confirmation is enabled for this document style. If false, it isn't enabled.
Nested Schema : Line Types
Type: array
Title: Line Types
Details of line types
Show Source
Nested Schema : purchasingDocumentStyles-lineTypes-item-patch-request
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : purchasingDocumentStyles-item-response
Type: object
Show Source
Nested Schema : Line Types
Type: array
Title: Line Types
Details of line types
Show Source
Nested Schema : purchasingDocumentStyles-lineTypes-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to update one document style.

Example cURL Command

Use the following cURL command to submit a request on the REST resource.

curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload'  "https://servername/fscmRestApi/resources/version/purchasingDocumentStyles/purchasingDocumentStylesUniqID"
For example:
curl -u username:password -X PATCH -H "Content-Type:application/json" -d 'request payload' "https://servername/fscmRestApi/resources/version/purchasingDocumentStyles/300100648901307" 

Example Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.

{
            "StyleDescription": "StyleName-test-1 updated" }

Example Response Body

The following example includes the contents of the response body in JSON format:
{
    "StyleId": "300100648901307",
    "StyleName": "StyleName-test-2",
    "StyleDescription": "StyleName-test-1 updated",
    "StyleType": null,
    "Status": "Active",
    "StatusCode": "ACTIVE",
    "QuantityPurchaseBasisEnabledFlag": true,
    "AmountPurchaseBasisEnabledFlag": true,
    "ConsignmentTermsEnabledFlag": false,
    "ConfigurationOrderingEnabledFlag": false,
    "OutsideProcessingEnabledFlag": false,
    "CreditLineTypesEnabledFlag": false,
    "LineTypeAllowed": "All",
    "LineTypeAllowedCode": "ALL",
    "RetainageEnabledFlag": false,
    "ProgressPaymentEnabledFlag": false,
    "WorkConfirmationEnabledFlag": false,
    "PriceBreaksEnabledFlag": false,
    "StandardDocumentStyleTypeDisplayName": "StyleName-test-2-Standard",
    "BlanketDocumentStyleTypeDisplayName": null,
    "BlanketDocumentStyleTypeEnabledFlag": false,
    "ContractDocumentStyleTypeDisplayName": null,
    "ContractDocumentStyleTypeEnabledFlag": false,
    "LastUpdateDate": "2026-01-26T04:17:26+00:00",
    "LastUpdatedBy": "CVBUYER01",
    "CreationDate": "2026-01-26T04:16:24+00:00",
    "CreatedBy": "CVBUYER01",
    "@context": {
        "key": "300100648901307,300100648901307,PURCHASE_BASES,GOODS,300100648901307,PURCHASE_BASES,SERVICES,300100648901307,STANDARD,300100648901307,BLANKET,300100648901307,CONTRACT",
        "headers": {
            "ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000006770400000006737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B0200007870000000027371007E00020000000171007E00057372001B6F7261636C652E6A626F2E646F6D61696E2E4E756C6C56616C75655899C1C58DAABEEB02000149000A6D53514C54797065496478700000000C71007E000771007E000778"
        },
        "links": [
            {
                "rel": "self",
                "href": "https://servername/fscmRestApi/resources/version/purchasingDocumentStyles/300100648901307%2C300100648901307%2CPURCHASE_BASES%2CGOODS%2C300100648901307%2CPURCHASE_BASES%2CSERVICES%2C300100648901307%2CSTANDARD%2C300100648901307%2CBLANKET%2C300100648901307%2CCONTRACT",
                "name": "purchasingDocumentStyles",
                "kind": "item"
            },
            {
                "rel": "canonical",
                "href": "https://servername/fscmRestApi/resources/version/purchasingDocumentStyles/300100648901307%2C300100648901307%2CPURCHASE_BASES%2CGOODS%2C300100648901307%2CPURCHASE_BASES%2CSERVICES%2C300100648901307%2CSTANDARD%2C300100648901307%2CBLANKET%2C300100648901307%2CCONTRACT",
                "name": "purchasingDocumentStyles",
                "kind": "item"
            },
            {
                "rel": "child",
                "href": "https://servername/fscmRestApi/resources/version/purchasingDocumentStyles/300100648901307%2C300100648901307%2CPURCHASE_BASES%2CGOODS%2C300100648901307%2CPURCHASE_BASES%2CSERVICES%2C300100648901307%2CSTANDARD%2C300100648901307%2CBLANKET%2C300100648901307%2CCONTRACT/child/lineTypes",
                "name": "lineTypes",
                "kind": "collection"
            }
        ]
    }
}
Back to Top